addIonicons {visNetwork} | R Documentation

## Use Ionicons in visNetwork `graph`

### Description

Add Ionicons for styling our `graph` with beautiful, professional icons. See Cheatsheet to get CSS content code. Can also use addFontAwesome

### Usage

    addIonicons(graph)

### Arguments

`graph` | : a visNetwork object

### Value

`graph` htmlwidget with Ionicons dependencies attached.

### Examples

    nodes <- data.frame(id = 1:3, group = c("B", "A", "B"))
    edges <- data.frame(from = c(1,2), to = c(2,3))

    visNetwork(nodes, edges) %>%
      visGroups(groupname = "A", shape = "icon",
       icon = list(face ='Ionicons', code = "f101", size = 75)) %>%
      visGroups(groupname = "B", shape = "icon",
       icon = list(face ='Ionicons', code = "f100", color = "red")) %>%
      addIonicons()

[Package visNetwork version 2.0.1 Index]